zenilib: TiXmlString Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Public Types | Public Member Functions | Static Public Attributes | List of all members
TiXmlString Class Reference

`#include <tinystr.h>`

Inherited by TiXmlOutStream.

## Public Types

typedef size_t | size_type

## Public Member Functions

| TiXmlString ()
| TiXmlString (const TiXmlString &copy)
TIXML_EXPLICIT | TiXmlString (const char *copy)
TIXML_EXPLICIT | TiXmlString (const char *str, size_type len)
| ~TiXmlString ()
TiXmlString & | append (const char *str, size_type len)
TiXmlString & | assign (const char *str, size_type len)
const char & | at (size_type index) const
const char * | c_str () const
size_type | capacity () const
void | clear ()
const char * | data () const
bool | empty () const
size_type | find (char lookup) const
size_type | find (char tofind, size_type offset) const
size_type | length () const
TiXmlString & | operator+= (const char *suffix)
TiXmlString & | operator+= (char single)
TiXmlString & | operator+= (const TiXmlString &suffix)
TiXmlString & | operator= (const char *copy)
TiXmlString & | operator= (const TiXmlString &copy)
char & | operator[] (size_type index) const
void | reserve (size_type cap)
size_type | size () const
void | swap (TiXmlString &other)

## Static Public Attributes

static const size_type | npos = static_cast< TiXmlString::size_type >(-1)

## Detailed Description

Definition at line 66 of file tinystr.h.

## Member Typedef Documentation

typedef size_t TiXmlString::size_type

Definition at line 70 of file tinystr.h.

## Constructor & Destructor Documentation

TiXmlString::TiXmlString | ( |  | ) |

inline

Definition at line 77 of file tinystr.h.

TiXmlString::TiXmlString | ( | const TiXmlString & | copy | ) |

inline

Definition at line 82 of file tinystr.h.

References data(), init(), length(), and memcpy.

TIXML_EXPLICIT TiXmlString::TiXmlString | ( | const char * | copy | ) |

inline

Definition at line 89 of file tinystr.h.

References init(), and memcpy.

TIXML_EXPLICIT TiXmlString::TiXmlString | ( | const char * | str,
|  | size_type | len
| ) |  |

inline

Definition at line 96 of file tinystr.h.

References init(), and memcpy.

TiXmlString::~TiXmlString | ( |  | ) |

inline

Definition at line 103 of file tinystr.h.

## Member Function Documentation

TiXmlString & TiXmlString::append | ( | const char * | str,
|  | size_type | len
| ) |  |

Definition at line 73 of file tinystr.cpp.

References capacity(), length(), memmove, and reserve().

Referenced by operator+().

TiXmlString & TiXmlString::assign | ( | const char * | str,
|  | size_type | len
| ) |  |

Definition at line 54 of file tinystr.cpp.

References capacity(), memcpy, memmove, str, and swap().

const char& TiXmlString::at | ( | size_type | index | ) | const

inline

Definition at line 160 of file tinystr.h.

References assert.

const char* TiXmlString::c_str | ( |  | ) | const

inline

Definition at line 141 of file tinystr.h.

Referenced by operator<(), and operator==().

size_type TiXmlString::capacity | ( |  | ) | const

inline

Definition at line 156 of file tinystr.h.

Referenced by append(), assign(), and reserve().

void TiXmlString::clear | ( |  | ) |

inline

Definition at line 191 of file tinystr.h.

References init().

const char* TiXmlString::data | ( |  | ) | const

inline

Definition at line 144 of file tinystr.h.

Referenced by operator+=(), reserve(), and TiXmlString().

bool TiXmlString::empty | ( |  | ) | const

inline

Definition at line 153 of file tinystr.h.

size_type TiXmlString::find | ( | char | lookup | ) | const

inline

Definition at line 174 of file tinystr.h.

size_type TiXmlString::find | ( | char | tofind,
|  | size_type | offset
| ) |  | const

inline

Definition at line 180 of file tinystr.h.

size_type TiXmlString::length | ( |  | ) | const

inline

Definition at line 147 of file tinystr.h.

Referenced by append(), operator+(), operator+=(), operator=(), operator==(), reserve(), and TiXmlString().

TiXmlString& TiXmlString::operator+= | ( | const char * | suffix | ) |

inline

Definition at line 122 of file tinystr.h.

TiXmlString& TiXmlString::operator+= | ( | char | single | ) |

inline

Definition at line 128 of file tinystr.h.

TiXmlString& TiXmlString::operator+= | ( | const TiXmlString & | suffix | ) |

inline

Definition at line 134 of file tinystr.h.

References data(), and length().

TiXmlString& TiXmlString::operator= | ( | const char * | copy | ) |

inline

Definition at line 109 of file tinystr.h.

TiXmlString& TiXmlString::operator= | ( | const TiXmlString & | copy | ) |

inline

Definition at line 115 of file tinystr.h.

References length().

char& TiXmlString::operator[] | ( | size_type | index | ) | const

inline

Definition at line 167 of file tinystr.h.

References assert.

void TiXmlString::reserve | ( | size_type | cap | ) |

Definition at line 42 of file tinystr.cpp.

References capacity(), data(), length(), memcpy, and swap().

Referenced by append(), and operator+().

size_type TiXmlString::size | ( |  | ) | const

inline

Definition at line 150 of file tinystr.h.

void TiXmlString::swap | ( | TiXmlString & | other | ) |

inline

Definition at line 210 of file tinystr.h.

Referenced by assign(), and reserve().

## Member Data Documentation

const TiXmlString::size_type TiXmlString::npos = static_cast< TiXmlString::size_type >(-1)

static

Definition at line 73 of file tinystr.h.

The documentation for this class was generated from the following files:

- zenilib/jni/external/tinyxml/tinystr.h
- zenilib/jni/external/tinyxml/tinystr.cpp